> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar empresas SII por RUT o razon social

> Operacion: Buscar empresas SII por RUT o razon social.



## OpenAPI

````yaml /generated/specs/finance.json get /api/v1/sii-company/search
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/sii-company/search:
    get:
      tags:
        - SII Company
      summary: Buscar empresas SII por RUT o razon social
      description: 'Operacion: Buscar empresas SII por RUT o razon social.'
      operationId: SiiCompanyController_search
      parameters:
        - name: query
          required: true
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiiCompanySearchResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    SiiCompanySearchResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/SiiCompanySearchItemResponseDto'
      required:
        - data
    SiiCompanySearchItemResponseDto:
      type: object
      properties:
        rut:
          type: string
        dv:
          type: string
        rut_formatted:
          type: string
        razon_social:
          type: object
          nullable: true
        region:
          type: object
          nullable: true
        comuna:
          type: object
          nullable: true
        actividad_economica:
          type: object
          nullable: true
        updated_at:
          type: string
          format: date-time
      required:
        - rut
        - dv
        - rut_formatted
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.